User API
Identifiers
Manage connected accounts and emails
GET
/identifiersList identifiers in account
Query parameters
typestring
userIdstring
Responses
200Identifiers list
ok reqenum
trueidentifiers reqobject[]
id reqstring
account reqstring
user reqobject | null
id reqstring
name reqstring | null
status reqenum
activeinactivesuspendedtype reqenum
emailphoneexternal_idemployee_idgooglemicrosoftapplecustomvalue reqstring
verified reqboolean
primary reqboolean
labelstring | null
platformsobject
metadataobject
iMessageCapableboolean | null
whatsAppCapableboolean | null
preferredTextPlatformenum
imessagesmswhatsappnullmessagingWindowobject
whatsappany...
imessageany...
createdAt reqstring
updatedAt reqstring
pageinteger
perPageinteger
totalinteger
Request
curl 'https://app.openassistant.us/api/identifiers' \
-H "Authorization: Bearer ak_live_..."Response
{
"ok": true,
"identifiers": [
{
"id": "string",
"account": "string",
"user": {
"id": "string",
"name": "string",
"status": "active"
},
"type": "email",
"value": "string",
"verified": true
}
]
}POST
/identifiersCreate a new identifier
Request body
type reqenum
emailphoneexternal_idemployee_idgooglemicrosoftapplecustomvalue reqstring
userIdstring
verifiedboolean
labelstring | null
platformsobject
userDataobject
namestring
firstNamestring
lastNamestring
avatarstring
timezonestring
localestring
Responses
201Created
ok reqenum
trueidentifier reqobject
id reqstring
account reqstring
user reqobject
idstring
accountstring
emailstring
externalIdstring
assistantstring | null
namestring | null
firstNamestring
lastNamestring
avatarUrlstring | null
timezonestring
localestring
countrystring | null
citystring
organizationstring | null
organizationRoleenum
adminmemberguestmanagerRolesstring[]
coordinatorEnabledboolean
teamany...
teamRoleenum
memberadminownernullstatusenum
activeinactivesuspendedvoiceobject | null
voiceId reqstring
provider reqstring
unreadInboxCountnumber
notificationPromptDismissedboolean
metadataobject
firstLoginAtstring
usernamestring | null
referralCodestring | null
preferencesany...
assistantNamestring | null
appNamestring | null
createdAtstring
updatedAtstring
type reqenum
emailphoneexternal_idemployee_idgooglemicrosoftapplecustomvalue reqstring
verified reqboolean
primary reqboolean
labelstring | null
platformsobject
metadataobject
iMessageCapableboolean | null
whatsAppCapableboolean | null
preferredTextPlatformenum
imessagesmswhatsappnullmessagingWindowobject
whatsappobject
warmUntilstring | null
lastInboundAtstring | null
imessageobject
warmUntilstring | null
lastInboundAtstring | null
createdAt reqstring
updatedAtstring
400Bad request
status reqinteger
error_codestring
error reqstring
Request
curl 'https://app.openassistant.us/api/identifiers' \
-X POST \
-H "Authorization: Bearer ak_live_..." \
-H "Content-Type: application/json" \
-d '{
"type": "email",
"value": "string"
}'Response
{
"ok": true,
"identifier": {
"id": "string",
"account": "string",
"user": {
"id": "string",
"account": "string",
"assistant": "string",
"name": "string",
"avatarUrl": "https://example.com",
"timezone": "string"
},
"type": "email",
"value": "string",
"verified": true
}
}GET
/identifiers/{identifierId}Get a specific identifier
Path parameters
identifierId reqstring
Responses
200Identifier detail
ok reqenum
trueidentifier reqobject
id reqstring
account reqstring
user reqobject
idstring
accountstring
emailstring
externalIdstring
assistantstring | null
namestring | null
firstNamestring
lastNamestring
avatarUrlstring | null
timezonestring
localestring
countrystring | null
citystring
organizationstring | null
organizationRoleenum
adminmemberguestmanagerRolesstring[]
coordinatorEnabledboolean
teamany...
teamRoleenum
memberadminownernullstatusenum
activeinactivesuspendedvoiceobject | null
voiceId reqstring
provider reqstring
unreadInboxCountnumber
notificationPromptDismissedboolean
metadataobject
firstLoginAtstring
usernamestring | null
referralCodestring | null
preferencesany...
assistantNamestring | null
appNamestring | null
createdAtstring
updatedAtstring
type reqenum
emailphoneexternal_idemployee_idgooglemicrosoftapplecustomvalue reqstring
verified reqboolean
primary reqboolean
labelstring | null
platformsobject
metadataobject
iMessageCapableboolean | null
whatsAppCapableboolean | null
preferredTextPlatformenum
imessagesmswhatsappnullmessagingWindowobject
whatsappobject
warmUntilstring | null
lastInboundAtstring | null
imessageobject
warmUntilstring | null
lastInboundAtstring | null
createdAt reqstring
updatedAtstring
404Not found
status reqinteger
error_codestring
error reqstring
Request
curl 'https://app.openassistant.us/api/identifiers/<identifierId>' \
-H "Authorization: Bearer ak_live_..."Response
{
"ok": true,
"identifier": {
"id": "string",
"account": "string",
"user": {
"id": "string",
"account": "string",
"assistant": "string",
"name": "string",
"avatarUrl": "https://example.com",
"timezone": "string"
},
"type": "email",
"value": "string",
"verified": true
}
}PUT
/identifiers/{identifierId}Update an identifier
Path parameters
identifierId reqstring
Request body
verifiedboolean
labelstring | null
platformsobject
metadataobject
Responses
200Updated
ok reqenum
trueidentifier reqobject
id reqstring
account reqstring
user reqobject
idstring
accountstring
emailstring
externalIdstring
assistantstring | null
namestring | null
firstNamestring
lastNamestring
avatarUrlstring | null
timezonestring
localestring
countrystring | null
citystring
organizationstring | null
organizationRoleenum
adminmemberguestmanagerRolesstring[]
coordinatorEnabledboolean
teamany...
teamRoleenum
memberadminownernullstatusenum
activeinactivesuspendedvoiceobject | null
voiceId reqstring
provider reqstring
unreadInboxCountnumber
notificationPromptDismissedboolean
metadataobject
firstLoginAtstring
usernamestring | null
referralCodestring | null
preferencesany...
assistantNamestring | null
appNamestring | null
createdAtstring
updatedAtstring
type reqenum
emailphoneexternal_idemployee_idgooglemicrosoftapplecustomvalue reqstring
verified reqboolean
primary reqboolean
labelstring | null
platformsobject
metadataobject
iMessageCapableboolean | null
whatsAppCapableboolean | null
preferredTextPlatformenum
imessagesmswhatsappnullmessagingWindowobject
whatsappobject
warmUntilstring | null
lastInboundAtstring | null
imessageobject
warmUntilstring | null
lastInboundAtstring | null
createdAt reqstring
updatedAtstring
Request
curl 'https://app.openassistant.us/api/identifiers/<identifierId>' \
-X PUT \
-H "Authorization: Bearer ak_live_..." \
-H "Content-Type: application/json" \
-d '{
"verified": true,
"label": "string",
"platforms": {},
"metadata": {}
}'Response
{
"ok": true,
"identifier": {
"id": "string",
"account": "string",
"user": {
"id": "string",
"account": "string",
"assistant": "string",
"name": "string",
"avatarUrl": "https://example.com",
"timezone": "string"
},
"type": "email",
"value": "string",
"verified": true
}
}DELETE
/identifiers/{identifierId}Delete an identifier
Path parameters
identifierId reqstring
Responses
200Deleted
ok reqenum
trueidentifier reqobject
id reqstring
deletedboolean
messagestring
Request
curl 'https://app.openassistant.us/api/identifiers/<identifierId>' \
-X DELETE \
-H "Authorization: Bearer ak_live_..."Response
{
"ok": true,
"identifier": {
"id": "string"
}
}POST
/identifiers/{identifierId}/linkLink an identifier to a user
Path parameters
identifierId reqstring
Request body
userId reqstring
Responses
200Linked
ok reqenum
trueidentifier reqobject
id reqstring
account reqstring
user reqobject
idstring
accountstring
emailstring
externalIdstring
assistantstring | null
namestring | null
firstNamestring
lastNamestring
avatarUrlstring | null
timezonestring
localestring
countrystring | null
citystring
organizationstring | null
organizationRoleenum
adminmemberguestmanagerRolesstring[]
coordinatorEnabledboolean
teamany...
teamRoleenum
memberadminownernullstatusenum
activeinactivesuspendedvoiceobject | null
voiceId reqstring
provider reqstring
unreadInboxCountnumber
notificationPromptDismissedboolean
metadataobject
firstLoginAtstring
usernamestring | null
referralCodestring | null
preferencesany...
assistantNamestring | null
appNamestring | null
createdAtstring
updatedAtstring
type reqenum
emailphoneexternal_idemployee_idgooglemicrosoftapplecustomvalue reqstring
verified reqboolean
primary reqboolean
labelstring | null
platformsobject
metadataobject
iMessageCapableboolean | null
whatsAppCapableboolean | null
preferredTextPlatformenum
imessagesmswhatsappnullmessagingWindowobject
whatsappobject
warmUntilstring | null
lastInboundAtstring | null
imessageobject
warmUntilstring | null
lastInboundAtstring | null
createdAt reqstring
updatedAtstring
Request
curl 'https://app.openassistant.us/api/identifiers/<identifierId>/link' \
-X POST \
-H "Authorization: Bearer ak_live_..." \
-H "Content-Type: application/json" \
-d '{
"userId": "string"
}'Response
{
"ok": true,
"identifier": {
"id": "string",
"account": "string",
"user": {
"id": "string",
"account": "string",
"assistant": "string",
"name": "string",
"avatarUrl": "https://example.com",
"timezone": "string"
},
"type": "email",
"value": "string",
"verified": true
}
}POST
/identifiers/{identifierId}/make-primaryMake an email identifier the primary for its user
Path parameters
identifierId reqstring
Responses
200Result
ok reqenum
truemakePrimary reqobject
user reqobject
id reqstring
account reqstring
emailstring
externalIdstring
assistant reqstring | null
name reqstring | null
firstNamestring
lastNamestring
avatarUrl reqstring | null
timezone reqstring
locale reqstring
countrystring | null
citystring
organization reqstring | null
organizationRole reqenum
adminmemberguestmanagerRolesstring[]
coordinatorEnabledboolean
team reqobject | null
id reqstring
name reqstring
organization reqstring | null
status reqstring
teamRole reqenum
memberadminownernullstatus reqenum
activeinactivesuspendedvoiceobject | null
voiceId reqstring
provider reqstring
unreadInboxCountnumber
notificationPromptDismissedboolean
metadataobject
firstLoginAtstring
usernamestring | null
referralCodestring | null
preferencesobject
routingOverridesany[]
remindersany...
preferredProvidersobject
preferredContactChannelobject
assistantNamestring | null
appNamestring | null
createdAt reqstring
updatedAt reqstring
identifier reqobject
id reqstring
type reqenum
emailphoneexternal_idemployee_idgooglemicrosoftapplecustomvalue reqstring
verified reqboolean
primary reqboolean
Request
curl 'https://app.openassistant.us/api/identifiers/<identifierId>/make-primary' \
-X POST \
-H "Authorization: Bearer ak_live_..."Response
{
"ok": true,
"makePrimary": {
"user": {
"id": "string",
"account": "string",
"assistant": "string",
"name": "string",
"avatarUrl": "https://example.com",
"timezone": "string"
},
"identifier": {
"id": "string",
"type": "email",
"value": "string",
"verified": true,
"primary": true
}
}
}